Package org.pgpainless.decryption_verification

# Class IntegrityProtectedInputStream

java.lang.Object
java.io.InputStream
org.pgpainless.decryption_verification.IntegrityProtectedInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class IntegrityProtectedInputStream extends InputStream

## Constructor Summary

Constructors
Constructor
Description
`IntegrityProtectedInputStream(InputStream inputStream, org.bouncycastle.openpgp.PGPEncryptedData encryptedData, ConsumerOptions options)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`int`
`read()`
`int`
`read(byte[] b, int offset, int length)`

### Methods inherited from class java.io.InputStream

`available, mark, markSupported, nullInputStream, read, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IntegrityProtectedInputStream

public IntegrityProtectedInputStream(InputStream inputStream, org.bouncycastle.openpgp.PGPEncryptedData encryptedData, ConsumerOptions options)

## Method Details

### read

public int read() throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

### read

public int read(@Nonnull byte[] b, int offset, int length) throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `InputStream`
Throws:
  `IOException`